classification
Title: please fall back to sequential compilation when concurrent doesn't exist
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Claudiu.Popa Nosy List: Claudiu.Popa, berker.peksag, brett.cannon, doko, python-dev
Priority: normal Keywords: patch

Created on 2015-04-11 22:52 by doko, last changed 2015-04-22 06:39 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
issue23917.patch Claudiu.Popa, 2015-04-19 20:10 review
Messages (6)
msg240507 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2015-04-11 22:52
issue #16104 introduces parallel byte compilation, however the method is now overly strict when workers > 1 and no concurrent support available.  Please just fall back to sequential byte compilation in this case.
msg240881 - (view) Author: Claudiu Popa (Claudiu.Popa) * Date: 2015-04-14 13:26
Will do, thanks.
msg241561 - (view) Author: Claudiu Popa (Claudiu.Popa) * Date: 2015-04-19 20:10
Here's the patch.
msg241655 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-04-20 14:50
LGTM
msg241775 - (view) Author: Roundup Robot (python-dev) Date: 2015-04-22 06:38
New changeset 572dc6bdc0a3 by Berker Peksag in branch 'default':
Issue #23917: Fall back to sequential compilation when ProcessPoolExecutor doesn't exist.
https://hg.python.org/cpython/rev/572dc6bdc0a3
msg241776 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-04-22 06:39
Thanks Claudiu.
History
Date User Action Args
2015-04-22 06:39:58berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg241776

resolution: fixed
stage: commit review -> resolved
2015-04-22 06:38:52python-devsetnosy: + python-dev
messages: + msg241775
2015-04-20 14:50:27brett.cannonsetmessages: + msg241655
stage: patch review -> commit review
2015-04-19 20:10:55Claudiu.Popasetfiles: + issue23917.patch
keywords: + patch
messages: + msg241561

stage: needs patch -> patch review
2015-04-14 13:26:09Claudiu.Popasetassignee: Claudiu.Popa
type: behavior
messages: + msg240881
stage: needs patch
2015-04-11 22:52:09dokocreate